import { AxiosResponse } from 'axios';
/** Returns a promise that returns a file */
export declare function filePromise(): Promise<AxiosResponse<Blob>>;
export declare function filePromiseError(): Promise<AxiosResponse<Blob>>;
export declare function filePromiseNoHeaders(): Promise<AxiosResponse<Blob>>;
